osmium::handler::ChainHandler< THandler > Class Template Reference

`#include <chain.hpp>`

Inheritance diagram for osmium::handler::ChainHandler< THandler >:
[legend]
Collaboration diagram for osmium::handler::ChainHandler< THandler >:
[legend]

## Classes

struct | call_flush
struct | call_flush< SIZE, SIZE, THandlers >

## Public Member Functions

| ChainHandler (THandler &...handlers)
void | node (osmium::Node &node)
void | way (osmium::Way &way)
void | relation (osmium::Relation &relation)
void | changeset (osmium::Changeset &changeset)
void | area (osmium::Area &area)
void | flush ()
Public Member Functions inherited from osmium::handler::Handler
void | osm_object (const osmium::OSMObject &) const
void | node (const osmium::Node &) const
void | way (const osmium::Way &) const
void | relation (const osmium::Relation &) const
void | area (const osmium::Area &) const
void | changeset (const osmium::Changeset &) const
void | tag_list (const osmium::TagList &) const
void | way_node_list (const osmium::WayNodeList &) const
void | relation_member_list (const osmium::RelationMemberList &) const
void | outer_ring (const osmium::OuterRing &) const
void | inner_ring (const osmium::InnerRing &) const
void | changeset_discussion (const osmium::ChangesetDiscussion &) const
void | flush () const

## Private Types

typedef std::tuple< THandler &... > | handlers_type

## Private Attributes

handlers_type | m_handlers

## Detailed Description

### template<typename... THandler>
class osmium::handler::ChainHandler< THandler >

This handler allows chaining of any number of handlers into a single handler.

## Member Typedef Documentation

template<typename... THandler>

typedef std::tuple<THandler&...> osmium::handler::ChainHandler< THandler >::handlers_type

private

## Constructor & Destructor Documentation

template<typename... THandler>

osmium::handler::ChainHandler< THandler >::ChainHandler | ( | THandler &... | handlers | ) |

inline explicit

## Member Function Documentation

template<typename... THandler>

void osmium::handler::ChainHandler< THandler >::area | ( | osmium::Area & | area | ) |

inline

template<typename... THandler>

void osmium::handler::ChainHandler< THandler >::changeset | ( | osmium::Changeset & | changeset | ) |

inline

template<typename... THandler>

void osmium::handler::ChainHandler< THandler >::flush | ( |  | ) |

inline

template<typename... THandler>

void osmium::handler::ChainHandler< THandler >::node | ( | osmium::Node & | node | ) |

inline

template<typename... THandler>

void osmium::handler::ChainHandler< THandler >::relation | ( | osmium::Relation & | relation | ) |

inline

template<typename... THandler>

void osmium::handler::ChainHandler< THandler >::way | ( | osmium::Way & | way | ) |

inline

## Member Data Documentation

template<typename... THandler>

handlers_type osmium::handler::ChainHandler< THandler >::m_handlers

private

The documentation for this class was generated from the following file:

- osmium/handler/chain.hpp